Hohem Gimbal

Hohem Gimbal

Compatible with Hohem Gimbal series iSteady Mobile+, iSteady Pro 2, iSteady Multi, XG1 classic and iSteady Gear.

V 1.0.9

Requires iOS 9.0 or above.

V 1.2.4

Require Android 5.0 or above.

Supported Mobile Devices

iOS V 1.0.9

It requires iOS 9.0 or above. Compatible with iPhone X, iPhone 8 Plus, iPhone 8, iPhone 7 Plus, iPhone 7, iPhone 6s Plus, iPhone 6s, iPhone 6 Plus, iPhone 6, iPhone SE, iPad Pro, iPad, iPad Air 2, iPad mini 4

Android V 1.2.4

It requires Android 5.0 or above. Compatible with VIVO X21A,VIVO X6L, VIVO X9, VIVO Y85A, Huawei P10, Huawei Mate7, Huawei Hornor V10 , Huawei P20 Pro, Huawei VNS-TL00, Huawei P20, Huawei Hornor 9, Samsung S9, Samsung S8+, Samsung note8, Samsung S6, Samsung S8, Samsung S5, OPPO R7, OPPO R11, SONY Z1, SONY Z2, SONY Z3, Meizu, Meizu note6, Xiaomi 8, Xiaomi 6X, Xiaomi 5, Xiaomi NOTE3.

*Support for additional devices available as testing and development continues.

Menu